Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 20 Oct 2022 16:39:30 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi, 

I would like to follow up on my order 9590755459. I was supposed to get it yesterday but it says in your website that it's still under process. This is my 3rd or 4th time ordering from you guys and didn't have this issue except for this one. This is also my first time to use click and collect which I believe is easier than home delivery. May I know what is going on?. Thank you. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5020672